<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (C) 2022 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->
<configuration description="Config for Cts Ad Id end-to-end test">
    <option name="test-suite-tag" value="cts" />
    <option name="test-tag" value="CtsAdIdEndToEndTest" />
    <option name="config-descriptor:metadata" key="component" value="adservices"/>
    <option name="config-descriptor:metadata" key="parameter" value="not_instant_app" />
    <option name="config-descriptor:metadata" key="parameter" value="not_multi_abi" />
    <option name="config-descriptor:metadata" key="parameter" value="secondary_user" />

    <!-- For this test suite to get picked up in mainline presubmit -->
    <option name="config-descriptor:metadata" key="mainline-param"
            value="com.google.android.adservices.apex" />

    <target_preparer class="com.android.tradefed.targetprep.suite.SuiteApkInstaller">
        <option name="cleanup-apks" value="true"/>
        <option name="test-file-name" value="CtsAdIdEndToEndTest.apk"/>
    </target_preparer>

    <!-- NOTE: DeviceConfig and SystemProperties are handled by AdServicesFlagsSetterRule -->

    <test class="com.android.tradefed.testtype.AndroidJUnitTest">
        <option name="package" value="com.android.adservices.tests.adid"/>
    </test>

    <object type="module_controller"
            class="com.android.tradefed.testtype.suite.module.MainlineTestModuleController">
        <option name="mainline-module-package-name" value="com.google.android.adservices"/>
    </object>
</configuration>
